net.i2p.router.web

## Class WriterOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - net.i2p.router.web.WriterOutputStream

- All Implemented Interfaces:
    Closeable, Flushable

      public class WriterOutputStream
      extends OutputStream

  Treat a writer as an output stream. Quick 'n dirty, none of that "intarnasheeonaleyzayshun" stuff. So we can treat the jsp's PrintWriter as an OutputStream

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WriterOutputStream(Writer writer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(int b)`

    - ### Methods inherited from class java.io.OutputStream

      `close, flush, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WriterOutputStream

          public WriterOutputStream(Writer writer)

  - ### Method Detail

    - #### write

          public void write(int b)
                     throws IOException

      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`